Impossibilité de créer un serveur minecraft moddé 1.16.5

Yolyork

Ramasseur de champignons
21 Avril 2020
7
0
11
26
Bonjour, j'ai un problème avec une installation d'un serveur minecraft moddé (1.16.5).
Pour commencé, j'ai l'impression qu'il me manque le fichier .json au début de l'installe.

image_2022-07-08_221419642.png

Ensuite, je lance le fichier minecraft server : une fois pour avoir le eula puis une deuxième fois pour avoir les fichiers de base.
image_2022-07-08_221745834.png

Puis, je lance le fichier forge 1.16.5 que l'on peut voir dans l'image du dessus pour obtenir les dossiers mods ect... mais rien ne se passe.
Impossible d'obtenir le dossier mod.
J'ai suivie plusieurs tuto avec plusieurs façons de faire mais rien à faire, je n'y arrive pas.
Si vous avez une solution je suis preneur, merci :)
 
Solution
Tu lances le serveur avec la mauvaise version de Java ;
  1. Lance ton jeu avec Forge 1.16.5 (le client, pas le serveur) ;

  2. Ouvre le gestionnaire des tâches ;

  3. Clique droit sur le jeu > Ouvrir l'emplacement du fichier :
    1657316485400.png

  4. Copie l'emplacement du dossier qui vient de s'ouvrir (chez moi c'est C:\Program Files (x86)\Minecraft Launcher\runtime\jre-legacy\windows-x64\jre-legacy\bin, mais le chemin peut changer si tu as installé le jeu depuis le Microsoft Store) ;

  5. Modifie ton fichier « start.bat » pour préfixer la commande java par le chemin du dossier (ne pas oublier les guillements anglais « " » autour du chemin) :
    Code:
    @echo off
    title Serveur 1.16.5
    
    "C:\Program Files (x86)\Minecraft...

ShE3py

Enbogueuse
Support
26 Septembre 2015
2 612
59
366
247
20
Mìlhüsa
Bonsoir,

Pour commencé, j'ai l'impression qu'il me manque le fichier .json au début de l'installe.
Quel fichier .json ?

Puis, je lance le fichier forge 1.16.5 que l'on peut voir dans l'image du dessus pour obtenir les dossiers mods ect... mais rien ne se passe.
Impossible d'obtenir le dossier mod.
Peux-tu envoyer le fichier logs/latest.log en pièce jointe ?

Cordialement,
ShE3py
 

ShE3py

Enbogueuse
Support
26 Septembre 2015
2 612
59
366
247
20
Mìlhüsa
Les logs indiquent que le serveur est vanilla, tu dois lancer le fichier « forge-1.16.5-36.1.0.jar » (pas l'installateur) pour avoir un serveur moddé.
Renvoie les logs si ça ne marche toujours pas.

Aucune idée pour le fichier « 1.16.5.json », probablement des indexes donc pas besoin d'y toucher.
 

robin4002

Expert en informatique et systèmes d'information
Staff
Responsable technique
Responsable forum
12 Novembre 2012
19 516
101
2 920
347
25
Alsace
www.minecraftforgefrance.fr
Bonsoir,
Il faut exécuter le fichier jar de forge et non minecraft_server1.16.5.
Par ailleurs, lancer le serveur avec un double clic le lance avec trop peu de ram, il faut utiliser un script en .bat.
 

Yolyork

Ramasseur de champignons
21 Avril 2020
7
0
11
26
Bonsoir, j'ai tenté quelque chose et voici le résultat. Je ne sais pas si je me suis trompé ou pas.
image_2022-07-08_233335911.png

Capture4.PNG
 

Fichiers joints

  • latest.log
    463 bytes · Affichages: 11

ShE3py

Enbogueuse
Support
26 Septembre 2015
2 612
59
366
247
20
Mìlhüsa
Tu lances le serveur avec la mauvaise version de Java ;
  1. Lance ton jeu avec Forge 1.16.5 (le client, pas le serveur) ;

  2. Ouvre le gestionnaire des tâches ;

  3. Clique droit sur le jeu > Ouvrir l'emplacement du fichier :
    1657316485400.png

  4. Copie l'emplacement du dossier qui vient de s'ouvrir (chez moi c'est C:\Program Files (x86)\Minecraft Launcher\runtime\jre-legacy\windows-x64\jre-legacy\bin, mais le chemin peut changer si tu as installé le jeu depuis le Microsoft Store) ;

  5. Modifie ton fichier « start.bat » pour préfixer la commande java par le chemin du dossier (ne pas oublier les guillements anglais « " » autour du chemin) :
    Code:
    @echo off
    title Serveur 1.16.5
    
    "C:\Program Files (x86)\Minecraft Launcher\runtime\jre-legacy\windows-x64\jre-legacy\bin\java" -Xmx8G -jar forge-1.16.5-36.2.35.jar nogui
    pause
Ça permet d'éviter de réinstaller Java à chaque fois que tu veux changer la version du serveur, et à vrai dire même pas besoin d'installer Java vu que la commande utilisera la version téléchargée par le launcher.
 
Solution